class enemy {
  PImage[] img;
  boolean alive;
  boolean remove;
  float x;
  float y;
  float xspeed;
  //create a simple timer
  int ct, st, tt;
  String current_pose;
  int totalImage;          
  int boom;
  int playhead;
  int act, ast, att;    //timer to pause walking cycle
  String prefix;
  //constructor
  enemy() {
  }

  void init(float _x, float _y) {
    prefix = "r_";
    totalImage = 3;
    img = new PImage [totalImage];
    for (int i=0;i<3;i++) {
      img[i]=loadImage(prefix+i+".png");
    } 
    xspeed=random(-8, -3);
    x=_x;
    y=_y;


    ct=0; //current time
    st=0; //starting time
    tt=1000; //time different 1000 = 1 sec

    alive=true;
    remove=false;
  }

  void update() {
    if (alive) {
      x+=xspeed;
      //    if (playerScore >= 15000){
      //      xspeed = random (-20, -10);
      //    }
      //    if (playerScore >= 30000){
      //      xspeed = random (-30, -20);
      //    }
      act=millis();
      if (act-ast>att) {
        playhead+=1;
        if (playhead>1) {
          playhead=0;
        }
        ast=millis();
      }
      //test where the center (x,y) is
      //    ellipse(x,y,60,60);
      image(img[playhead], x-img[playhead].width/2, y-img[playhead].height/2);

      //test each bullet see if hit
      if (bullets.size()>0) {
        for (int i=0; i<bullets.size();i++) {  
          PVector bullet=(PVector)(bullets.get(i));
          if (dist(bullet.x, bullet.y, x, y)<40) {
            alive=false;
            score += 1;
            bullets.remove(i);
            st=millis();
          }
        }
      }
    }
    else {
      //if this one is dead, use the explosion image
      playhead = 0;
      ct=millis();
      if (ct-st<tt) {
        //println((ct-st)*1.0/tt);
        tint(255, (int)((1-(ct-st)*1.0/tt)*255));
        image(img[2], x-img[2].width/2, y-img[2].height/2);
        tint(255, 255);
      }
      else {
        remove=true;
      }
    }
  }
}

