class shaanTop {
  String current_pose;
  int facing, facingH;
  int playhead, playheadUp, playheadDown, playheadDUp, playheadDDown;
  float x, y, xspeed, yspeed, xMap, yMap;

  int ct, st, tt;
  PImage standImg;

  int dimension;
  ArrayList simple;


  PImage[] sprites;

  int totalImage;

  int walk_end, walk_start, walk_startUp, walk_startDown, walk_endUp, walk_endDown, walk_startDUp, walk_startDDown, walk_endDUp, walk_endDDown;

  String pre;

  void init (String prefix) {


    totalImage = 20;
    walk_start = 8;
    walk_startUp= 4;
    walk_startDown=0;
    walk_startDUp = 12;
    walk_startDDown = 16;

    walk_endUp = 7;
    walk_endDUp= 15;
    walk_endDDown = 19;
    walk_endDown=3;
    walk_end = 11;
    pre = prefix;
    sprites = new PImage[totalImage];


    for (int i = 0; i<totalImage; i++) {
      sprites[i]= loadImage(pre+i+".png");
    }

    standImg=loadImage(pre+"0.png");
    dimension = (standImg.width*standImg.height);
    simple = new ArrayList();
    for (int i = 0; i<dimension; i++) {
      simple.add(i);
    }
    x = width/2;
    y = height/2;
    xMap = 0;
    yMap = 0;
    current_pose = "stand";
    playhead = walk_start;
    playheadUp= walk_startUp;
    playheadDown = walk_startDown;
    playheadDUp= walk_startDUp;
    playheadDDown = walk_startDDown;
    facing = 1;
    xspeed = 5;
    yspeed = 5;

    ct=0;
    st=0;
    tt=150;
  }

  void update() {

    if (current_pose.equals("stand")) {
      pushMatrix();
      translate(x, y);
      scale(facing, 1);
      image(sprites[8], -sprites[8].width/2, -sprites[8].height);
      popMatrix();
    }
    if (current_pose.equals("standUp")) {
      pushMatrix();
      translate(x, y);
      image(sprites[4], -sprites[4].width/2, -sprites[4].height);
      popMatrix();
    }
    if (current_pose.equals("standDown")) {
      pushMatrix();
      translate(x, y);
      image(sprites[0], -sprites[0].width/2, -sprites[0].height);
      popMatrix();
    }
    if (current_pose.equals("standDUp")) {
      pushMatrix();
      translate(x, y);
      scale (facing, 1);
      image(sprites[12], -sprites[12].width/2, -sprites[12].height);
      popMatrix();
    }
    if (current_pose.equals("standDDown")) {
      pushMatrix();
      translate(x, y);
      scale (facing, 1);
      image(sprites[16], -sprites[16].width/2, -sprites[16].height);
      popMatrix();
    }
    if (current_pose.equals("walk")) {


      xMap = xMap+xspeed*facing; 

      ct=millis();
      if (ct-st > tt) {
        playhead+=1;
        if (playhead>walk_end) {
          playhead = walk_start;
        } 
        st = millis();
      }
      pushMatrix();
      translate(x, y);
      scale(facing, 1);
      image(sprites[playhead], -sprites[playhead].width/2, -sprites[playhead].height);
      popMatrix();
    }
    if (current_pose.equals("walkUp")) {


      yMap = yMap + yspeed*facing; 

      ct=millis();
      if (ct-st > tt) {
        playheadUp+=1;
        if (playheadUp>walk_endUp) {
          playheadUp = walk_startUp;
        } 
        st = millis();
      }
      pushMatrix();
      translate(x, y);
      scale(facing, 1);
      image(sprites[playheadUp], -sprites[playheadUp].width/2, -sprites[playheadUp].height);
      popMatrix();
    }
    if (current_pose.equals("walkDown")) {


      yMap = yMap + yspeed*facing; 

      ct=millis();
      if (ct-st > tt) {
        playheadDown+=1;
        if (playheadDown>walk_endDown) {
          playheadDown = walk_startDown;
        } 
        st = millis();
      }
      pushMatrix();
      translate(x, y);
      scale(facing, 1);
      image(sprites[playheadDown], -sprites[playheadDown].width/2, -sprites[playheadDown].height);
      popMatrix();
    }
    if (current_pose.equals("walkDUp")) {


      yMap = yMap + yspeed*facingH; 
      xMap = xMap + xspeed*facing;

      ct=millis();
      if (ct-st > tt) {
        playheadDUp+=1;
        if (playheadDUp>walk_endDUp) {
          playheadDUp = walk_startDUp;
        } 
        st = millis();
      }
      pushMatrix();
      translate(x, y);
      scale(facing, 1);
      image(sprites[playheadDUp], -sprites[playheadDUp].width/2, -sprites[playheadDUp].height);
      popMatrix();
    }
    if (current_pose.equals("walkDDown")) {


      yMap = yMap + yspeed*facingH; 
      xMap = xMap - xspeed*facing;

      ct=millis();
      if (ct-st > tt) {
        playheadDDown+=1;
        if (playheadDDown>walk_endDDown) {
          playheadDDown = walk_startDDown;
        } 
        st = millis();
      }
      pushMatrix();
      translate(x, y);
      scale(facing, 1);
      image(sprites[playheadDDown], -sprites[playheadDDown].width/2, -sprites[playheadDDown].height);
      popMatrix();
    }


    if (xMap > 95) {
      //      if (yMap > -20 && yMap < 210){
      //     xMap = 95; 
      //      }
      //      if (yMap > 1210 && yMap < 1440){
      xMap = 95;
      //      }
    }

    if (xMap < 100 && xMap > -505 && yMap > 210 && yMap < 240) {
      yMap = 210;
    }

    if (xMap > -510 && xMap < -500) {
      if (yMap > 205 && yMap < 925) {
        xMap = -510;
      }
      if (yMap > 955 && yMap < 1210) {
        xMap = -510;
      }
    }

    if (yMap < 930 && xMap > -505 && xMap < -100 && yMap > 910) {
      yMap = 930;
    }
    if (yMap > 950 && xMap > -505 && xMap < -100 && yMap < 960) {
      yMap = 950;
    }

    if (xMap < 100 && xMap > - 510 && yMap < 1215 && yMap > 1200) {
      yMap = 1215;
    }

    if (xMap >10 && xMap < 100 && yMap > 1440) {

      yMap = 1440;
    }
    if (yMap > 1445) {
      if (xMap > 5) {
        xMap = 5;
      }
      if (xMap < -165&& xMap > -175) {
        xMap = -165;
      }
    }

    if (xMap < -170 && xMap > -825 && yMap > 1440) {
      yMap = 1440;
    }

    if (xMap < -815 && yMap > 1380) {
      xMap = -815;
    }

    if (xMap < -820 && xMap > -1025 && yMap > 1375) {
      yMap = 1375;
    }

    if (xMap < -1015 && yMap < 1380 && yMap > 1340) {
      xMap = -1015;
    }

    if (yMap > 1335 && xMap < -1020) {
      yMap = 1335;
    }

    if (yMap < 1325 && yMap > 1310 && xMap < -950) {
      yMap = 1325;
    }

    if (xMap < -950) {

      if (yMap < 1320 && yMap > 420) {
        xMap = -950 ;
      }

      if (yMap < 390) {
        xMap = -950;
      }
      if (yMap < 400 && yMap > 392) {
        yMap = 400;
      }

      if (yMap > 415 && yMap < 422) {
        yMap = 415;
      }
    }

    if (yMap < 45 && xMap > -955 && xMap < -195) {
      yMap = 45;
    }

    if (yMap < -20 && xMap > -199) {
      yMap = -20;
    }

    if (xMap < -190 && yMap < 45) {
      xMap = -190;
    }

    if ( xMap < -1045 && yMap < 425 && yMap > 380 && !ramiroClear) {
      GAMESTATE = 10;
    }

    if (xMap > -425 && yMap < 950 && yMap > 920 && !joelClear) {
      // pcomp
    }

    if (xMap < -1045 && yMap < 1345 && yMap > 1315 && !kyleClear) {
      GAMESTATE = 9;
    }

    if (!ramiroClear  || !kyleClear) {
      if (yMap > 1440 && xMap < 90 && xMap > -400) {
        yMap = 1440;
      }
    }
    
    if(yMap > 1550){
     GAMESTATE = 12; 
    }
    
     if (ramiroClear){
     if (xMap < -1015 && yMap <425 && yMap > 380){
      xMap = -1015;
     } 
    }
    if (kyleClear){
     if (xMap < -1015 && yMap <1345 && yMap > 1315){
      xMap = -1015;
     } 
    }
    if (joelClear){
     if (xMap > -440 && yMap <955 && yMap > 920){
      xMap = -440;
     } 
    }
  }
}

