//==================================================SOUND
import ddf.minim.*;

Minim minim;

int deadcounter;
boolean dandead;

AudioSnippet sfx1, sfx2, sfx3, sfx4, sfx5, sfx6, sfx7, sfx8;
boolean punsfx, specsfx, punsfx2, specsfx2, splashsfx;



//===========================================LIVES
Lives life;

//=========================================GAMESTATE 12 GRADUATION

Graduation grad;


//============================================GAMESTATE 8, 9, 10, 11 INTRO

Introduction intro;
IntroductionKyle introKyle;
IntroductionRamiro introRamiro;
IntroductionJoel introJoel;

//===========================================GAMESTATE 7 JOEL

boolean joelClear;

//==================================================GAMESTATE 5 & 6

boolean goleft, goright, goup, godown;
danTop da;
shaanTop sha;
Main mainMap;

int GAMESTATE;
int fs;

PImage last;

PImage over;

//=======================================SPLASH PAGE
int sT, dT, sS, dS;
PImage splash;
PFont bask;
PFont edwardian;
PFont felix;
PFont french;
PFont gothic;


//============================================GAMESTATE 1 + 2
PImage back;
hero_1 dan;
hero_2 shaan;
boolean moveright, moveleft, punch;
//timer for punch
int pct, pst, ptt;
//timer for spawning enemies
int ect, est, ett;
ArrayList enemies;
PImage bgimg;

boolean kyleClear;



// ========================================GAMESTATE 3

int heroType;

boolean ramiroClear;

int endCounter;
int score;
int highScore;
int b;
int R;
int lR, lG, lB;

float domoX = 30;
float domoY = 30;
float domoSpeedY, maxYSpeed;
float bX, bS;
float b1x, b1s;
float b2x, b2s;
float b3x, b3s;
float b4x, b4s;

ArrayList bullets;
float bulletSpeed;
float enX;


boolean moveup, movedown, shooting;
PImage backSky;
PImage back1;
PImage back0;
PImage back2;
PImage back3;
PImage back4;
PImage dFly;
PImage sFly;
PImage sShoot;
PImage sUp;
PImage sDown;
PImage dShoot;
PImage dUp;
PImage dDown;


//===============================enemies
ArrayList enemies1;
int ct, st, tt;

float mexX, mexY, mexS;



//============================================================GAMESTATE 32

PImage [] dans;
PImage [] shaans;
PImage shaanFly;
PImage danFly;
boolean flyUp;
int flyY;
int playhead;
int totalPower;
int act, ast, att;



//==============================================================GAMESTATE 4
PImage sDead, dDead;

//========================================================================setup

void setup () {
  size(800, 600);
  smooth();
  dandead = false;
  //================================================================MINIM SETUP
  minim = new Minim(this);
  
  sfx1=minim.loadSnippet("dPunch.mp3");
  sfx2=minim.loadSnippet("dLaser.mp3");
  sfx3=minim.loadSnippet("dDeath.mp3");
  sfx4=minim.loadSnippet("dTrack.mp3");
  sfx5=minim.loadSnippet("sPunch.mp3");
  sfx6=minim.loadSnippet("sLaser.mp3");
  sfx7=minim.loadSnippet("sDeath.mp3");
  sfx8=minim.loadSnippet("sTrack.mp3");
  punsfx=specsfx=punsfx2=specsfx2=splashsfx=false;
  
  
  //=====================================================================LIVES setup
  life = new Lives();
  life.init();

  //================================================================GAMESTATE 12 GRADUATION SETUP

  grad = new Graduation();
  grad.init();

  //=============================================================GAMESTATE 8, 9, 10, 11 SETUP
  intro = new Introduction();
  intro.init();
  introKyle = new IntroductionKyle();
  introKyle.init();
  introRamiro = new IntroductionRamiro();
  introRamiro.init();
  introJoel = new IntroductionJoel();
  introJoel.init();

  //==============================================================GAMESTATE 7 SETUP JOEL
  joelClear = false;
  //===============================================================GAMESTATE 5+6 SETUP
  goleft = goright = goup= godown= false;
  da = new danTop();
  da.init("td_");
  sha = new shaanTop();
  sha.init("ts_");
  mainMap = new Main();
  mainMap.init();

  last = loadImage("bg3.png");

  over = loadImage("bg2.png");
  
  fs = 0;

  // =================================== SPLASH PAGE SETUP  
  bask = loadFont("bask.vlw");
  edwardian = loadFont("edwardian.vlw");
  felix = loadFont("felix.vlw");
  french = loadFont("french.vlw");
  gothic = loadFont("gothic.vlw");  
  splash =  loadImage("start.png");


  //============================================GAMESTATE 1 + 2 setup
  back = loadImage("bg.png");
  dan=new hero_1();
  dan.init("d_");
  shaan = new hero_2();
  shaan.init("s_");
  moveleft=moveright=punch=false;
  pct=0;
  pst=0;
  ptt=450;

  ect=0;
  est=millis();
  ett=500;

  enemies=new ArrayList();

  kyleClear = false;

  //======================================================GAMESTATE 3 setup
  moveup=movedown=shooting=false;
  maxYSpeed = 15;
  domoSpeedY = 0;
  bX = 0;
  bS = 2;
  b1x = 0;
  b1s = 4;
  b2x = 0;
  b2s = 6;
  b3x = 0;
  b3s = 10;
  b4x = 0;
  b4s = 15;

  enX = width+20;

  ramiroClear = false;

  //========================bullet setup

  bulletSpeed = 25;
  bullets = new ArrayList();
  lR = 204;
  lG = 12;
  lB = 11;


  //=============================enemy setup
  enemies1 = new ArrayList();
  tt = 1500;
  ct = 0;
  st = millis();

  backSky = loadImage ("bg_sky.png");
  back0 = loadImage ("bg_sky1.png");
  back1 = loadImage("bg_sky2.png");
  back2 = loadImage("bg_sky3.png");
  back3 = loadImage("bg_sky4.png");
  back4 = loadImage("bg_sky5.png");
  dFly = loadImage("d_flyN.png");
  sFly = loadImage("s_flyN.png");
  sUp = loadImage("s_flyU.png");
  sDown = loadImage("s_flyD.png");
  sShoot= loadImage("s_flyS.png");
  dUp = loadImage("d_flyU.png");
  dDown = loadImage("d_flyD.png");
  dShoot= loadImage("d_flyS.png");


  //=========================================================GAMESTATE 32 setup
  totalPower = 17;
  playhead = 8;
  act=0;
  ast=0;
  att=50;
  dans = new PImage[totalPower];
  for (int i=7;i<17;i++) {
    dans[i]=loadImage("d_"+i+".png");
  }
  shaans = new PImage[totalPower];
  for (int i=7;i<17;i++) {
    shaans[i]=loadImage("s_"+i+".png");
  }

  flyUp = false;
  shaanFly = loadImage("s_flyUP.png");
  danFly = loadImage("d_flyUP.png");
  flyY = 520-shaanFly.height;



  //===============================================================GAMESTATE 4 SETUP
  sDead = loadImage("s_19.png");
  dDead = loadImage("d_19.png");
}


void draw() {
  background(0);

//  println(sha.xMap);

  //===============================================================GAMESTATE 12 DRAW GRAD
  if (GAMESTATE == 12) {

    grad.update();
  }

  //===============================================================GAMESTATE 8, 9, 10 DRAW intro
  if (GAMESTATE == 8) {

    intro.update();
  }
  if (GAMESTATE == 9) {

    introKyle.update();
  }
  if (GAMESTATE == 10) {

    introRamiro.update();
  }
  if (GAMESTATE == 11) {

    introJoel.update();
  }

  //==============================================================GAMESTATE 7 DRAW JOEL


 


  //=========================================================SPLASH DRAW  
  if (GAMESTATE == 0) {
    image(splash, 0, 0);

    textAlign(CENTER);
    fill(0);
    pushMatrix();
    textFont(bask, 64);
    text ("Sha Da ", width/2, 350);
    popMatrix();
    pushMatrix();
    textFont(edwardian, 64);
    text ("Sha Da  ", width/2, 150);
    popMatrix();
    pushMatrix();
    textFont(felix, 64);
    text ("Sha Da ", width/2, 300);
    popMatrix();
    pushMatrix();
    textFont(french, 64);
    text ("Sha Da ", width/2, 200);
    popMatrix();
    pushMatrix();
    textFont(gothic, 64);
    text ("ShaDa ", width/2, 250);
    popMatrix(); 
   
    pushMatrix();
    textFont(bask, 18);
    text ("A game by Daniel Albuquerque & arShaan Sarang", width/2, 570);
    popMatrix();   


    // SHAAN AND DAN

    pushMatrix();
    fill(sT);
    textFont(felix, sS);
    text ("shaan", 115, 533);
    popMatrix();
    pushMatrix();
    fill(dT);
    textFont(felix, dS);
    text ("dan", 680, 533);
    popMatrix();

    if ((mouseX > 95 && mouseX < 150) && (mouseY >370 && mouseY < 505)) {
      sT = color(237, 28, 36); 
      sS = 30; 
      if (mousePressed) {
        heroType =2;
        GAMESTATE = 8;
      }
    }
    else {
      sT = 0;
      sS = 22;
    }
    if ((mouseX > 650 && mouseX < 700) && (mouseY >367 && mouseY < 505)) {
      dT = color(255, 242, 0);  
      dS = 30;  
      if (mousePressed) {
        heroType =1;
        GAMESTATE = 8;
      }
    }
    else {
      dT = 0;
      dS = 22;
    }



    // println(mouseY);
  }
  //=============================================================GAMESTATE 1 DRAW
  if (GAMESTATE == 1) {
    dandead = false;
//    sfx3.rewind();
    goleft = goup = goright = godown = false;
    if (!kyleClear) {

      shaan.death = true;
      // println(mouseY);
      image (back, 0, 0);
      if (!dan.death) {
        ect=millis();
        if (ect-est>ett ) {
          kanyang abo=new kanyang();
          abo.init("k_");
          enemies.add(abo);
          est=ect;
        }
      }
      if (enemies.size()>0) {
        for (int i=0; i<enemies.size();i++) {
          kanyang apointer=(kanyang)(enemies.get(i));
          if (apointer.remove) {
            enemies.remove(i);
          }
          else {
            if (dan.current_pose.equals("punch")) {
              if (dist(apointer.kanx, apointer.kany, dan.herox, dan.heroy)<110 && dan.facing==apointer.facing*1) {
                apointer.injury();
              }
            }
            apointer.update(dan.herox, dan.heroy);
          }
        }
      }

      if (moveright && !moveleft && !punch)
      {
        if ( !dan.current_pose.equals("walk") || dan.facing!=1) {
          dan.facing=1;
          dan.current_pose="walk";
          dan.st=millis()-dan.tt;
        }
      }

      if (moveleft && !moveright && !punch)
      {
        if ( !dan.current_pose.equals("walk") || dan.facing!=-1) {
          dan.facing=-1;
          dan.current_pose="walk";
          dan.st=millis()-dan.tt;
        }
      }

      if (!moveleft && !moveright)
      {
        if (dan.current_pose.equals("walk")) {
          dan.current_pose="stand";
        }
      }

      if (dan.current_pose.equals("punch")) {
        pct=millis();
        if (pct-pst>ptt) {
          dan.current_pose="stand";
          punch=false;
        }
      }

      dan.update();
      textAlign(CENTER, TOP);
      //  textFont(font, 148);
      textFont(french, 30);
      fill(0);
      text(score, width/2, 30);

      //health bar of dan's health
      //+8 is an effort to center the health bar abd text to the picture center
      noStroke();
      fill(100, 200);
      rect(20, 20, 100, 20);
      fill(255, 0, 0);
      rect(20, 20, dan.healthpoint, 20);
      if (dan.healthpoint <= 0) {
        sfx3.rewind();
        sfx3.play();
        
        da.xMap = 0;
        da.yMap = 0;
        fs++;
        score = 0;
        
        GAMESTATE = 5;
        dan.healthpoint = 100;
        }
    }
      
      
     
    
    if (score >= 15 || kyleClear) {


      //      da.xMap = -950;

      score = 0;
      kyleClear = true;
      GAMESTATE = 5;
      
    }
  }


  //==================================================================GAMESTATE 2 DRAW
  if (GAMESTATE == 2) {
    goleft = goup = goright = godown = false;

    if (!kyleClear) {

      dan.death = true;
      // println(mouseY);
      image (back, 0, 0);
      if (!shaan.death) {
        ect=millis();
        if (ect-est>ett ) {
          kanyang abo=new kanyang();
          abo.init("k_");
          enemies.add(abo);
          est=ect;
        }
      }
      if (enemies.size()>0) {
        for (int i=0; i<enemies.size();i++) {
          kanyang apointer=(kanyang)(enemies.get(i));
          if (apointer.remove) {
            enemies.remove(i);
          }
          else {
            if (shaan.current_pose.equals("punch")) {
              if (dist(apointer.kanx, apointer.kany, shaan.x, shaan.y)<110 && shaan.facing==apointer.facing*1) {
                apointer.injury();
              }
            }
            apointer.update(shaan.x, shaan.y);
          }
        }
      }

      if (moveright && !moveleft && !punch)
      {
        if ( !shaan.current_pose.equals("walk") || shaan.facing!=1) {
          shaan.facing=1;
          shaan.current_pose="walk";
          shaan.st=millis()-shaan.tt;
        }
      }

      if (moveleft && !moveright && !punch)
      {
        if ( !shaan.current_pose.equals("walk") || shaan.facing!=-1) {
          shaan.facing=-1;
          shaan.current_pose="walk";
          shaan.st=millis()-shaan.tt;
        }
      }

      if (!moveleft && !moveright)
      {
        if (shaan.current_pose.equals("walk")) {
          shaan.current_pose="stand";
        }
      }

      if (shaan.current_pose.equals("punch")) {
        pct=millis();
        if (pct-pst>ptt) {
          shaan.current_pose="stand";
          punch=false;
        }
      }

      shaan.update();
      textAlign(CENTER, TOP);
      //  textFont(font, 148);
      textFont(french, 30);
      fill(0);
      text(score, width/2, 30);

      //health bar of dan's health
      //+8 is an effort to center the health bar abd text to the picture center
      noStroke();
      fill(100, 200);
      rect(20, 20, 100, 20);
      fill(255, 0, 0);
      rect(20, 20, shaan.healthpoint, 20);
      if (shaan.healthpoint <= 0) {
        fs++;
        score = 0;
        sfx7.rewind();
        sfx7.play();
        sha.xMap = 0;
        sha.yMap = 0;
        GAMESTATE = 6;
        shaan.healthpoint = 100;
      }
    }
    if (score >= 15 || kyleClear) {


      //      sha.xMap = -950;

      score = 0;
      kyleClear = true;
      GAMESTATE = 6;
    }
  }



  //=============================================================================GAMESTATE 3 draw
  if (GAMESTATE == 3) {
    if (!ramiroClear) {
      
      

      goleft = goup = goright = godown = false;
      image (backSky, 0, 0);
      image (back1, b1x, 0);
      image (back1, b1x+back1.width, 0);
      b1x -= b1s;
      if (b1x <= -back1.width) {
        b1x = 0;
      }

      image (back3, b3x, height/2);
      image (back3, b3x+back3.width, 0);
      b3x -= b3s;
      if (b3x <= -back3.width) {
        b3x = 0;
        //    b3y = random(-350, 350);
      }
      image (back4, b4x, -100);
      image (back4, b4x+back4.width, -100);
      b4x -= b4s;
      if (b4x <= -back4.width) {
        b4x = 0;
        //    b3y = random(-350, 350);
      }

      image(back0, bX, 0);
      image(back0, bX+back0.width, 0);
      bX -= bS;
      if (bX <= -back0.width) {
        bX = 0;
      }

      image (back2, b2x, 0);
      image (back2, b2x+back2.width, 0);
      b2x -= b2s;
      if (b2x <= -back2.width) {
        b2x = 0;
      }


      //================================================enemies 

      ct=millis();
      if (ct-st>tt) {
        enemy m = new enemy();
        m.init(enX, random(20, height-20));
        enemies1.add(m);
        st=ct;
      }

      if (enemies1.size()>0) {
        for (int i=0; i<enemies1.size();i++) {
          enemy en=(enemy)(enemies1.get(i));
          if (en.remove) {
            enemies1.remove(i);
          }
          else
            en.update();
        }
      }


      //==================================================hero

      //    domo();

      // ===============================================move ifs
      if (moveup) {
        domoSpeedY+=(maxYSpeed-domoSpeedY)*0.04;
        domoY-=domoSpeedY;
        if (!shooting) {
          if (heroType == 1) {
            image (dUp, domoX, domoY);
          }
          else
            if (heroType == 2) {
              image (sUp, domoX, domoY);
            }
        }
      }
      if (movedown) {
        domoSpeedY+=(maxYSpeed-domoSpeedY)*0.04;
        domoY+=domoSpeedY;
        if (!shooting) {
          if (heroType == 1) {
            image (dDown, domoX, domoY);
          }
          else
            if (heroType == 2) {
              image (sDown, domoX, domoY);
            }
        }
      }

      if (!moveup && !movedown && !shooting) {
        domoSpeedY=0;
        if (heroType == 1) {
          image (dFly, domoX, domoY);
        }
        if (heroType == 2) {
          image (sFly, domoX, domoY);
        }
      }
      if (shooting == true) {
        if (heroType == 1) {
          image (dShoot, domoX, domoY);
        }
        else 
          if (heroType == 2) {
          image (sShoot, domoX, domoY);
        }
      }


      //=================================================wing offset


      //==================================bullet controls
      if (bullets.size()>0) {
        for (int i=0; i<bullets.size();i++) {  
          PVector bullet=(PVector)(bullets.get(i));
          if (bullet.x>width) {
            bullets.remove(i);
          }
          else {
            bullet.x+=bulletSpeed;
            if (heroType == 1) {
              R = color(57, 181, 74);
            }
            else if (heroType == 2) {
              R = color(85, 85, 85);
            }
            fill(R);
            rect(bullet.x, bullet.y, 4, 2);
            rect(bullet.x, bullet.y-6, 6, 4);
            rect(bullet.x, bullet.y+4, 6, 4);
          }
        }
      }

      if (domoY < -18) {
        domoY = -18;
      }
      if (domoY > height-78) {
        domoY = height-78;
      }


      // =================================================================enemy hit detection
      if (enemies1.size()>0) {
        for (int i=0; i<enemies1.size();i++) {  
          enemy myEnemy =(enemy)(enemies1.get(i));
          if (myEnemy.x <= -130) {
            enemies1.remove(i);
            score -= 1;
          }
          if (dist(domoX+170, domoY+40, myEnemy.x, myEnemy.y)<30) {
            fs++;
            score = 0;
            for (int j = 0;  j< enemies1.size(); j++){
    enemies1.remove(j);
    }
            if (heroType == 1){
            sfx3.rewind();
            sfx3.play();
            da.xMap = 0;
            da.yMap = 0;
            GAMESTATE = 5;
          
      }
      if (heroType == 2){
       
            sfx7.rewind();
            sfx7.play();
            sha.xMap = 0;
            sha.yMap = 0;
            GAMESTATE = 6;
          
      }
      
        
        
          }
        }
      }

      pushMatrix();
      fill(0);
      textAlign(CENTER);
      text("SCORE", width/2-300, 30);
      text(score, width/2, 30);
      popMatrix();
    }

    if (score >= 15 || ramiroClear) {
      if (heroType ==1) {
        //        da.xMap = -950;
        ramiroClear = true;
        GAMESTATE = 5;

        score = 0;
      }
      if (heroType ==2) {
        //        sha.xMap = -950;
        ramiroClear = true;
        GAMESTATE = 6;

        score = 0;
      }
    }
  }

  //====================================================================GAMESTATE 32
  if (GAMESTATE == 32) {
    image (back, 0, 0);
    if (heroType == 1) {
      act=millis();
      if (act-ast>att) {
        playhead+=1;
        if (playhead>16) {
          playhead=8;
        }
        ast=millis();
      }
      if (!flyUp) {
        image(dans[playhead], width/2- dans[playhead].width/2, 520-dans[playhead].height );
      }
      else
        if (flyUp == true) {
          image (danFly, width/2-danFly.width/2, flyY);
          flyY -= 7;
        }
    }
    else if (heroType == 2) {
      act=millis();
      if (act-ast>att) {
        playhead+=1;
        if (playhead>16) {
          playhead=8;
        }
        ast=millis();
      }
      if (!flyUp) {
        image(shaans[playhead], width/2-shaans[playhead].width/2, 520-shaans[playhead].height );
      }
      else
        if (flyUp == true) {
          image (shaanFly, width/2-shaanFly.width/2, flyY);
          flyY -= 7;
          
        }
    }
    pushMatrix();
    fill (0);
    textFont(french, 44);
    textAlign(CENTER);
    text("PRESS UP TO FLY", width/2, height-50);
    popMatrix();

//    println (flyY);
    if (flyY <= -20-shaanFly.height) {
      GAMESTATE = 3;
      flyY -= 7;
      playhead = 8;
    }
  }   



  //============================================================================GAMESTATE 4 DEAD

  if (GAMESTATE == 4) {
    image(back, 0, 0);

    if (heroType == 1) {
      image (dDead, width/2 - dDead.width/2, height/3);
    }
    if (heroType == 2) {
      image (sDead, width/2 - sDead.width/2, height/3);
    }
    pushMatrix();
    fill(0);
    textFont(bask, 64);
    textAlign(CENTER);
    text("DROP OUT!!!", width/2, height/2);
    popMatrix();
    pushMatrix();
    textFont(bask, 64);
    textAlign(CENTER);
    fill(237, 28, 36);
    text("GAME OVER", width/2, 495);
    popMatrix();
  }
  
  
  if (fs >= 3){
   GAMESTATE = 4; 
    
  }
  
   //===============================================================GAMESTATE 5+6 DRAW

  if (GAMESTATE == 5) {
    
    if (sfx4!=null && !sfx4.isPlaying()) {
      sfx4.loop();
    }

//    mainMap.update(da.xMap, da.yMap);
    if (goright && !goleft)
    {

      if (!goup && !godown && !goleft) {
        if ( !da.current_pose.equals("walk")) {
          da.facing=-1;
          da.current_pose="walk";
          da.st=millis()-da.tt;
        }
      }
      if (goup && !godown && !goleft) {
        if ( !da.current_pose.equals("walkDUp")) {
          da.facing=-1;
          da.facingH = 1;
          da.current_pose="walkDUp";
          da.st=millis()-da.tt;
        }
      }
      if (!goup && godown && !goleft) {
        if ( !da.current_pose.equals("walkDDown")) {
          da.facing=1;
          da.facingH = -1;
          da.current_pose="walkDDown";
          da.st=millis()-da.tt;
        }
      }
    }

    else if (goleft && !goright)
    {

      if (!goup && !godown && !goright) {
        if ( !da.current_pose.equals("walk")) {
          da.facing=1;
          da.current_pose="walk";
          da.st=millis()-da.tt;
        }
      }
      if (goup && !godown && !goright) {
        if ( !da.current_pose.equals("walkDUp")) {
          da.facing=1;
          da.facingH = 1;
          da.current_pose="walkDUp";
          da.st=millis()-da.tt;
        }
      }
      if (!goup && godown && !goright) {
        if ( !da.current_pose.equals("walkDDown")) {
          da.facing=-1;
          da.facingH = -1;
          da.current_pose="walkDDown";
          da.st=millis()-da.tt;
        }
      }
    }
    else if (goup && !godown && !goleft && !goright)
    {
      if ( !da.current_pose.equals("walkUp")) {
        da.facing=1;
        da.current_pose="walkUp";
        da.st=millis()-da.tt;
      }
    }

    else if (godown && !goup && !goleft && !goright)
    {
      if ( !da.current_pose.equals("walkDown")) {
        da.facing=-1;
        da.current_pose="walkDown";
        da.st=millis()-da.tt;
      }
    }
    else
      //    if (!goleft && !goright && !goup && !godown)
    {
      if (da.current_pose.equals("walk")) {
        da.current_pose="stand";
      }
      if (da.current_pose.equals("walkUp")) {
        da.current_pose= "standUp";
      }
      if (da.current_pose.equals("walkDown")) {
        da.current_pose="standDown";
      }
      if (da.current_pose.equals("walkDUp")) {
        da.current_pose= "standDUp";
      }
      if (da.current_pose.equals("walkDDown")) {
        da.current_pose= "standDDown";
      }
    }
mainMap.update(da.xMap, da.yMap);
    da.update();
    
    life.update();
    
//    noStroke();
//    fill(255, 150);
//    rect(10, 10, 95, 30);
//    pushMatrix();
////    translate(15, 37);
//    textFont(french, 36);
//    fill(100);
//    text("F", 15, 37);
//    text("F", 45, 37);
//    text("F", 75, 37);
//    if (fs >0){
//      fill(255, 0, 0);
//     text("F", 15, 37); 
//    }
//    if (fs >1){
//      fill(255, 0, 0);
//     text("F", 45, 37); 
//    }
//    if (fs >2){
//      fill(255, 0, 0);
//     text("F", 75, 37); 
//    }
//    popMatrix();
    
    
  }
//=============================================================GAMESTATE 6 DRAW
  if (GAMESTATE == 6) {
    
    if (sfx8!=null && !sfx8.isPlaying()) {
      sfx8.loop();
    }

    
    if (goright && !goleft)
    {

      if (!goup && !godown && !goleft) {
        if ( !sha.current_pose.equals("walk")) {
          sha.facing=-1;
          sha.current_pose="walk";
          sha.st=millis()-sha.tt;
        }
      }
      if (goup && !godown && !goleft) {
        if ( !sha.current_pose.equals("walkDUp")) {
          sha.facing=-1;
          sha.facingH = 1;
          sha.current_pose="walkDUp";
          sha.st=millis()-sha.tt;
        }
      }
      if (!goup && godown && !goleft) {
        if ( !sha.current_pose.equals("walkDDown")) {
          sha.facing=1;
          sha.facingH = -1;
          sha.current_pose="walkDDown";
          sha.st=millis()-sha.tt;
        }
      }
    }

    else if (goleft && !goright)
    {

      if (!goup && !godown && !goright) {
        if ( !sha.current_pose.equals("walk")) {
          sha.facing=1;
          sha.current_pose="walk";
          sha.st=millis()-sha.tt;
        }
      }
      if (goup && !godown && !goright) {
        if ( !sha.current_pose.equals("walkDUp")) {
          sha.facing=1;
          sha.facingH = 1;
          sha.current_pose="walkDUp";
          sha.st=millis()-sha.tt;
        }
      }
      if (!goup && godown && !goright) {
        if ( !sha.current_pose.equals("walkDDown")) {
          sha.facing=-1;
          sha.facingH = -1;
          sha.current_pose="walkDDown";
          sha.st=millis()-sha.tt;
        }
      }
    }
    else if (goup && !godown && !goleft && !goright)
    {
      if ( !sha.current_pose.equals("walkUp")) {
        sha.facing=1;
        sha.current_pose="walkUp";
        sha.st=millis()-sha.tt;
      }
    }

    else if (godown && !goup && !goleft && !goright)
    {
      if ( !sha.current_pose.equals("walkDown")) {
        sha.facing=-1;
        sha.current_pose="walkDown";
        sha.st=millis()-sha.tt;
      }
    }
    else
      //    if (!goleft && !goright && !goup && !godown)
    {
      if (sha.current_pose.equals("walk")) {
        sha.current_pose="stand";
      }
      if (sha.current_pose.equals("walkUp")) {
        sha.current_pose= "standUp";
      }
      if (sha.current_pose.equals("walkDown")) {
        sha.current_pose="standDown";
      }
      if (sha.current_pose.equals("walkDUp")) {
        sha.current_pose= "standDUp";
      }
      if (sha.current_pose.equals("walkDDown")) {
        sha.current_pose= "standDDown";
      }
    }
    mainMap.update(sha.xMap, sha.yMap);

    sha.update();

life.update();
    //    if (ramiroClear){
    //          textFont(bask, 56);
    //          fill(0, 255, 0, 255);
    //          
    //     text("PASSING GRADE", mainMap.xMove+1600, mainMap.yMove-100); 
    //    }
    
//    noStroke();
//    fill(255, 150);
//    rect(10, 10, 95, 30);
//    textFont(french, 36);
//    fill(100);
//    text("F", 15, 37);
//    text("F", 45, 37);
//    text("F", 75, 37);
//    if (fs >0){
//      fill(255, 0, 0);
//     text("F", 15, 37); 
//    }
//    if (fs >1){
//      fill(255, 0, 0);
//     text("F", 45, 37); 
//    }
//    if (fs >2){
//      fill(255, 0, 0);
//     text("F", 75, 37); 
//    }
  }

  if (GAMESTATE ==5 || GAMESTATE == 6) {
    for (int j = 0; j < enemies1.size(); j++){
      enemies1.remove(j);
      }
      if (enemies.size()>0) {
        for (int i=0; i<enemies.size();i++) {
          kanyang apointer=(kanyang)(enemies.get(i));
          apointer.remove = true;
          if (apointer.remove) {
            enemies.remove(i);
          }
        }
      }
      moveup = movedown = false;

    image (over, mainMap.xMove+240, mainMap.yMove-1460);
    if (!ramiroClear  || !kyleClear) {
      image(last, mainMap.xMove+250, mainMap.yMove - 1460);
      pushMatrix();
      textFont (french, 42);
      fill(255);
      textAlign(LEFT);
      text("Thesis", mainMap.xMove+460, mainMap.yMove-1380);
      text("Show", mainMap.xMove+465, mainMap.yMove-1340);
      textFont(felix, 36);
      fill(255, 0, 0);
      text("LOCKED", mainMap.xMove+425, mainMap.yMove-1300);
      popMatrix();
    }
    if (ramiroClear) {
      textFont(felix, 36);
      fill(0, 255, 0);
      
      text("PASSING", mainMap.xMove+1510, mainMap.yMove-165); 
      text("GRADE", mainMap.xMove+1510, mainMap.yMove-125);
    }
    if (!ramiroClear) {
      textFont(french, 42);
      fill(255);
      textAlign(LEFT);

      text("Creative", mainMap.xMove+1510, mainMap.yMove-165); 
      text("Thinking", mainMap.xMove+1510, mainMap.yMove-125);
    }
    if (kyleClear) {
      textFont(felix, 36);
      fill(0, 255, 0); 
      textAlign(LEFT);

      text("PASSING", mainMap.xMove+1510, mainMap.yMove-1090); 
      text("GRADE", mainMap.xMove+1510, mainMap.yMove-1050);
    }
    if (!kyleClear) {
      textFont(french, 42);
      fill(255); 
      textAlign(LEFT);

      text("Code for", mainMap.xMove+1510, mainMap.yMove-1090); 
      text("Games", mainMap.xMove+1510, mainMap.yMove-1050);
    }
    if (joelClear) {
      textFont(felix, 36);
      fill(0, 255, 0);
      textAlign(LEFT);

      text("PASSING", mainMap.xMove+660, mainMap.yMove-700); 
      text("GRADE", mainMap.xMove+660, mainMap.yMove-660);
    }
    if (!joelClear) {
      textFont(french, 42);
      fill(255);
      textAlign(LEFT);

      text("Physical", mainMap.xMove+660, mainMap.yMove-720); 
      text("Computing", mainMap.xMove+660, mainMap.yMove-680);
      fill(255, 0, 0);
      text("No Class", mainMap.xMove+660, mainMap.yMove-640);
    }
  }
  

  //=============================================================================end draw
}

 
void keyPressed() {

  if (key == 'k') {
    GAMESTATE = 3;
  }
  if (keyCode==37) {
    if (GAMESTATE == 1 || GAMESTATE ==2) {
      moveleft=true;
    }
  }
  if (keyCode==39) {
    if (GAMESTATE == 1 || GAMESTATE ==2) {
      moveright=true;
    }
  }
  if (GAMESTATE == 3) {
    if (keyCode==38) { //38 is ASCII for Up key
      moveup=true;
    }
    if (keyCode==40) { //40 is ASCII for down key
      movedown=true;
    }
  }
  if (keyCode==32) {
    if (GAMESTATE == 1) {
      if (!dan.current_pose.equals("punch")) {
        sfx1.rewind();
            sfx1.play();
        punch=true;
        dan.current_pose="punch";
        pst=millis();
        //      punsfx=true;
        //      if (sfx1!=null && !sfx1.isPlaying()) {
        //        sfx1.rewind();
        //        sfx1.play();
      }
    }
    if (GAMESTATE == 2) {
      if (!shaan.current_pose.equals("punch")) {
        sfx5.rewind();
            sfx5.play();
        punch=true;
        shaan.current_pose="punch";
        pst=millis();
        //      punsfx=true;
        //      if (sfx1!=null && !sfx1.isPlaying()) {
        //        sfx1.rewind();
        //        sfx1.play();
      }
    }
    if (GAMESTATE == 3) {
      shooting = true;
    }
  }
  if (GAMESTATE == 5 || GAMESTATE ==  6) {
    if (keyCode==37) {
      goleft=true;
    } 
    if (keyCode==39) {
      goright = true;
    }
    if (keyCode==38) {
      goup = true;
    }
    if (keyCode==40) {
      godown = true;
    }
  }
}

void keyReleased() {

  if (keyCode==37) {
    moveleft=false;
  }
  if (keyCode==39) {
    moveright=false;
  }
  if (keyCode==32) {
    if (GAMESTATE == 3) {
      PVector bullet = new PVector();
      bullet.x = domoX+145;
      bullet.y = domoY+35;
      bullets.add(bullet);
      shooting = false;
      if (heroType == 1){
            sfx2.rewind();
            sfx2.play();
          
      }
      if (heroType == 2){
       
            sfx6.rewind();
            sfx6.play();
          
      }
    }
  }
  if (GAMESTATE == 3) {
    if (keyCode==38) {
      moveup=false;
    }
    if (keyCode==40) {
      movedown=false;
    }
  }
  if (GAMESTATE == 32) {
    if (keyCode == 38) {
      flyUp = true;
    }
  }

  if (GAMESTATE == 5 || GAMESTATE ==  6) {
    if (key == 'p') {
      ramiroClear = true;
      joelClear = true;
      kyleClear = true;
    }
    if (key == 'o') {
      ramiroClear = false;
      joelClear = false;
      kyleClear = false;
    }
    if (keyCode==37) {
      goleft=false;
    } 
    if (keyCode==39) {
      goright = false;
    }
    if (keyCode==38) {
      goup = false; 
      //  println("stopup");
    }
    if (keyCode==40) {
      godown = false;
    }
  }

  if (key == 's') {
    GAMESTATE = 6;
  }
  if (key == 'd') {
    GAMESTATE = 5;
  }

  if (GAMESTATE == 8) {
    if (keyCode == 32) {
      if (heroType == 1) {
        GAMESTATE = 5;
      } 
      if (heroType == 2) {
        GAMESTATE = 6;
      }
    }
  }
  if (GAMESTATE == 9) {
    if (keyCode == 32) {
      if (heroType == 1) {
        GAMESTATE = 1;
      } 
      if (heroType == 2) {
        GAMESTATE = 2;
      }
    }
  }
  if (GAMESTATE == 10) {
    if (keyCode == 32) {
      GAMESTATE = 32;
    }
  }
}

